<?php

declare(strict_types=1);

namespace App\Controller\TblPregunta;

use App\Service\TblPreguntaService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPreguntaService(): TblPreguntaService
    {
        return $this->container->get('TblPregunta_service');
    }
}
